        <div class="col-md-12 col-xs-12 box">
          <div class="box-content shadowed bg-light-grey">
            <h4 class="title"><i class="fa fa-bar-chart" aria-hidden="true"></i> Ad Engagement</h4>
            <div class="row">
              <div class="col-md-6 col-xs-12">
                <div class="engagement">
                  <i class="fa fa-thumbs-o-up" aria-hidden="true"></i> <%= @product.likes %><br>
                  <i class="fa fa-commenting" aria-hidden="true"></i>  <%= @product.comments %><br>
                  <i class="fa fa-share-alt-square" aria-hidden="true"></i>  <%= @product.shares %><br>
                  Posted at: <% if @product.facebookad_posted_at? %>
                 <%= Time.at(@product.facebookad_posted_at).strftime("%B %e, %Y") %>
                  <% end%>
                  
                </div>
              </div>
              <div class="col-md-6 col-xs-12">

                <% if current_user.subscribed? %>
                 <a href="<%= @product.facebookad_url %>"class="btn btn-facebook btn-lg" target="_blank"><strong><i class="fa fa-search" aria-hidden="true"></i> Show Video Ad</strong></a>
                <% else %>
                 <%= link_to(subscribe_path) do %><button class="btn btn-facebook btn-lg disabled"><strong><i class="fa fa-search" aria-hidden="true" ></i> Show Video Ad</strong></button><% end %>
                <% end %>

                <% if current_user.subscribed? %>
                  <% if @product.youtubevideoadurl.present? %>
                    <div class="row">
                      <div class="col-md-6 col-xs-12 right-padding"> 
                      <a href="<%= @product.youtubevideoadurl %>"class="btn btn-primary btn-margin" target="_blank"><strong><i class="fa fa-play" aria-hidden="true" ></i> Show Video Ad</strong></a>
                      </div>
                        <% 
                          url = "https://en.savefrom.net/#url=" + @product.youtubevideoadurl
                        %>
                      <div class="col-md-6 col-xs-12 left-padding" >
                        <a href="<%= url %>"class="btn btn-primary btn-margin" target="_blank"><strong><i class="fa fa-download" aria-hidden="true"></i> Download Ad</strong></a>
                      </div>
                    </div>
                  <% end %>
                <% else %>
                    <div class="row">
                      <div class="col-md-6 col-xs-12 right-padding"> 
                       <%= link_to(subscribe_path) do %> <button class="btn btn-primary btn-margin disabled" ><strong><i class="fa fa-play" aria-hidden="true" ></i> Show Video Ad</strong></a> <% end %>
                      </div>
                      <div class="col-md-6 col-xs-12 left-padding" >
                        <%= link_to(subscribe_path) do %><button class="btn btn-primary btn-margin disabled"><strong><i class="fa fa-download" aria-hidden="true"></i> Download Ad</strong></a><% end %>
                      </div>
                    </div>
                <% end %>

                <% if current_user.subscribed? %>
                  <a href="<%= @product.facebook_page_url %>"class="btn btn-default btn-margin" target="_blank"><strong><i class="fa fa-facebook" aria-hidden="true"></i> Show FB Page</strong></a>
                  <a href="<%= @product.product_page_url %>"class="btn btn-default btn-margin" target="_blank"><strong><i class="fa fa-shopping-basket" aria-hidden="true"></i> Show Product Page</strong></a>
                <% else %>
                  <%= link_to(subscribe_path) do %><button href="<%= @product.facebook_page_url %>"class="btn btn-default btn-margin disabled" style="width: 100%;"><strong><i class="fa fa-facebook" aria-hidden="true"></i> Show FB Page</strong></button><% end %>
                  <%= link_to(subscribe_path) do %><button href="<%= @product.facebook_page_url %>"class="btn btn-default btn-margin disabled" style="width: 100%;"><strong><i class="fa fa-shopping-basket" aria-hidden="true"></i> Show Product Page</strong></button><% end %>


                <% end %>
              </div>
            </div>
          </div>
        </div>